#include "rpl_gac.h"
#include "gacpp.h"
#include <stdio.h>
#include <assert.h>

namespace scf_tascel
{

  void
  GA_Initialize()
  {
  }

  int
  GA_Nnodes()
  {
    return getNProc();
  }

  int
  GA_Nodeid()
  {
    return getNodeID();
  }

  void
  GA_Sync()
  {
    amBarrier();
  }

  void
  GA_Terminate()
  {
  }

  /*new_nga_acc_*/
  /*nga_acc_*/

  void
  NGA_Acc(int g_a, int lo[], int hi[], void* buf, int ld[], void* alpha)
  {
    gaAccI(g_a, lo, hi, buf, ld);
  }

  void
  NGA_Access_block_grid(int g_a, int index[], void *ptr, int ld[])
  {
    assert(0);
  }

  /*nga_get_*/

  void
  NGA_Get(int g_a, int lo[], int hi[], void* buf, int ld[])
  {
    DEBUG_PRINT("NGA_Get: g_a = %d, lo = [%d,%d], hi = [%d,%d], ld = %d\n",
        g_a, lo[0], lo[1], hi[0], hi[1], ld[0]);
    gaGetI(g_a, lo, hi, buf, ld);
  }

  int
  NGA_Locate(int g_a, int subscript[])
  {
    assert(0);
    return 0;
  }

  void
  NGA_Put(int g_a, int lo[], int hi[], void* buf, int ld[])
  {
    //DEBUG_PRINT("NGA_Put: g_a = %d, lo = [%d,%d], hi = [%d,%d], ld = %d\n",
    //g_a, lo[0], lo[1], hi[0], hi[1], ld[0]);
    gaPutI(g_a, lo, hi, buf, ld);
  }

  long
  NGA_Read_inc(int g_a, int subscript[], long inc)
  {
    assert(0);
    return 0;
  }

}
