/*
 *  This file is part of SST/macroscale:
 *               The macroscale architecture simulator from the SST suite.
 *  Copyright (c) 2009 Sandia Corporation.
 *  This software is distributed under the BSD License.
 *  Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
 *  the U.S. Government retains certain rights in this software.
 *  For more information, see the LICENSE file in the top
 *  SST/macroscale directory.
 */

#include <sstmac/software/libraries/compute/sstmac_compute.h>

extern "C" void
sstmac_compute_(double& seconds)
{
  SSTMAC_compute(seconds);
}

extern "C" void
sstmac_compute_block_access_(int& bytes)
{
  SSTMAC_compute_block_access(bytes);
}
