/*
 *  This file is part of SST/macroscale: 
 *               The macroscale architecture simulator from the SST suite.
 *  Copyright (c) 2009 Sandia Corporation.
 *  This software is distributed under the BSD License.
 *  Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
 *  the U.S. Government retains certain rights in this software.
 *  For more information, see the LICENSE file in the top 
 *  SST/macroscale directory.
 */

#include <sstmac/software/libraries/multicomplete-handler.h>
#include <sstmac/common/errors.h>

namespace sstmac { namespace sw {

  // Pointer types.
  
  /*

  //
  // Hello.
  //
  multicomplete::handler::
  handler(const multicomplete::ptr& parent, int64_t index) :
    parent_(parent), index_(index)
  {}



  //
  // This is who I am.
  //
 multicomplete::handler::ptr multicomplete::handler::get_self() {
    return self_.lock();
  }

  //
  // New and improved.
  //
  multicomplete::handler::ptr multicomplete::handler::
  construct(const multicomplete::ptr& parent, int64_t index) {
    handler::ptr retval(new handler(parent, index));

    return retval;
  }

  //
  // Goodbye.
  //
  multicomplete::handler::~handler() throw() {
  }

  //
  // All done.
  //
  void multicomplete::handler::handle(const timestamp &current_time) {
    parent_->handler_done(current_time, this->get_self(), index_);
  }
*/

} } // end of namespace sstmac
