/*
 *  This file is part of SST/macroscale:
 *               The macroscale architecture simulator from the SST suite.
 *  Copyright (c) 2009 Sandia Corporation.
 *  This software is distributed under the BSD License.
 *  Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
 *  the U.S. Government retains certain rights in this software.
 *  For more information, see the LICENSE file in the top
 *  SST/macroscale directory.
 */

#include "fromfileindexer.h"

#include <fstream>
#include <sstmac/common/errors.h>

#include <sstmac/common/basicstringtokenizer.h>

namespace sstmac { namespace sw {


 /* using namespace std;


  fromfileindexer::fromfileindexer(space* sp, string fname) {
    std::ifstream in(fname.c_str());
    if (!in) {
        std::cout << "fromfileindexer: filename: " << fname << endl;
        throw valueerror("fromfileindexer:  Failed to open file.");
    }

    std::deque<std::string> tok;
    std::string line;

    //first fill the vector
    int n = sp->get_num_slots();
    omnetpp_address::ptr dummy = omnetpp_address::construct();
    for (int i = 0; i < n; i++) {
        index.push_back(dummy);
    }

    //now read the file

    while (in.good()) {
        std::getline(in, line);

        if (line.find("=") != string::npos) {
            int eq = line.find("=");
            string addressStr = line.substr(0, eq);

            pst::BasicStringTokenizer::tokenize(addressStr, tok);

            omnetpp_address::ptr a = omnetpp_address::construct(atoi(tok[3].c_str()), atoi(tok[2].c_str()),
                atoi(tok[1].c_str()), atoi(tok[0].c_str()));

            string nodeStr = line.substr(eq + 1);
            int p = atoi(nodeStr.c_str());

            index[p] = a;

            std::cout << "Assigning process " << p << " to " << a->to_string() << endl;

            tok.clear();
        }
    }

  }

  fromfileindexer::~fromfileindexer() {

  }
*/
} }
