/*
 *  This file is part of SST/macroscale:
 *               The macroscale architecture simulator from the SST suite.
 *  Copyright (c) 2009 Sandia Corporation.
 *  This software is distributed under the BSD License.
 *  Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
 *  the U.S. Government retains certain rights in this software.
 *  For more information, see the LICENSE file in the top
 *  SST/macroscale directory.
 */

#include <hpx/components/hpx_component.h>
#include <hpx/hpx_app.h>

namespace hpx
{
  namespace components
  {
    sstmac::debug hpx_component::dbg_;

    void
    hpx_component::register_lib(sstmac::sw::library::ptr lib)
    {
      hpx_app::hpx_register_lib(lib);
    }
  }
}
