/*
 *  This file is part of SST/macroscale: 
 *               The macroscale architecture simulator from the SST suite.
 *  Copyright (c) 2009 Sandia Corporation.
 *  This software is distributed under the BSD License.
 *  Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
 *  the U.S. Government retains certain rights in this software.
 *  For more information, see the LICENSE file in the top 
 *  SST/macroscale directory.
 */

#include <sstmac/software/libraries/mpi/mpi_strategies/mpicorescan.h>



namespace sstmac { namespace sw {

  // Pointer types.
  

  // 
  // Hello.
  //
  mpicorescan::mpicorescan() {
  }

  //
  // Build a new object.
  //
  mpicorescan::ptr mpicorescan::construct() {
    return mpicorescan::ptr(new mpicorescan);
  }

  //
  // Destructor.
  //
  mpicorescan::~mpicorescan() throw() {
  }

  //
  // Build a kernel to perform a scan operation
  //
  void
  mpicorescan::execute(const mpirequest_t& thekey,
                     const mpiqueue::ptr& queue,
                     int count, const mpitype &type, const mpiop &op,
                     const mpitag &tag, const mpicomm &comm,
                     const payload::const_ptr& content,
                     OS_API::ptr &os
                     ) const
  {
   // topologyiterator::ptr iter =
   //   rditerator::construct(comm.rank().id, comm.size().id);
   // return mpiscanengine::construct(iter, thekey, queue, count, type,
    //                                op, tag, comm, content);
  }

} } // end of namespace sstmac

