/*
 *  This file is part of SST/macroscale: 
 *               The macroscale architecture simulator from the SST suite.
 *  Copyright (c) 2009 Sandia Corporation.
 *  This software is distributed under the BSD License.
 *  Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
 *  the U.S. Government retains certain rights in this software.
 *  For more information, see the LICENSE file in the top 
 *  SST/macroscale directory.
 */

#ifndef SSTMAC_SOFTWARE_LIBRARIES_MULTICOMPLETE_HANDLER_H_INCLUDED
#define SSTMAC_SOFTWARE_LIBRARIES_MULTICOMPLETE_HANDLER_H_INCLUDED

#include <sstmac/software/libraries/multicomplete.h>
#include <sstmac/common/eventhandler.h>

namespace sstmac { namespace sw {

  /**
   * An event handler that allows a multicomplete object to wait on
   * multiple requests at once.
   */
 /* class multicomplete::handler : public eventhandler {

    /// The object that bore us.
    multicomplete::ptr parent_;
    /// The index of this request in the parent.
    int64_t index_;

  protected:
    /// Hello.
    handler(const multicomplete::ptr& parent, int64_t index);


  public:
    typedef boost::intrusive_ptr<handler> ptr;

    /// New and improved.
    static handler::ptr
    construct(const multicomplete::ptr& parent, int64_t index);

    /// Goodbye.
    virtual ~handler() throw();

    /// All done.
    virtual void handle(const timestamp &current_time);
  };*/

} } // end of namespace sstmac

#endif
