#ifndef SDMA_STAGED_LIB_H_
#define SDMA_STAGED_LIB_H_

#include "sdma_lib.h"

namespace sdma
{

  class sdma_staged_lib : public sdma_lib
  {

  protected:

    sdma_staged_lib(sstmac::sw::softwareid id) : sdma_lib(id)
    {

    }

  public:
    typedef boost::intrusive_ptr<sdma_staged_lib> ptr;

    static ptr
    construct(sstmac::sw::softwareid id)
    {
      return ptr(new sdma_staged_lib(id));
    }

    virtual void
    process_data(long bytes);

    virtual
    ~sdma_staged_lib()
    {
    }

  };

}

#endif
